HelpAction Class Reference

`#include <HelpAction.h>`

Inheritance diagram for HelpAction:

## Public Member Functions

| HelpAction ()
virtual void | obtainParameters (vector< Parameter * > &parameters)
virtual void | processNonParameter (const char *str)
virtual void | perform ()
virtual bool | displayAction () const
| Returns whether this action should be shown to the user by the help action.
Public Member Functions inherited from Action
| Action (const char *name, const char *shortDescription, const char *description, bool acceptsNonParameter)
virtual | ~Action ()
const char * | getName () const
const char * | getShortDescription () const
const char * | getDescription () const
bool | acceptsNonParameter () const
virtual void | parseCommandLine (unsigned int tokenCount, const char **tokens)
const Parameter & | getParam (const string &name) const

## Static Public Member Functions

static const char * | staticGetName ()
Static Public Member Functions inherited from Action
static void | getActionNames (vector< string > &names)
static unique_ptr< Action > | createActionWithPrefix (const string &prefix)

## Private Member Functions

void | displayActionHelp (Action &action)
void | displayIOHelp ()

## Private Attributes

string | _topic

## Additional Inherited Members

Protected Attributes inherited from Action
CliParams | _params
const char * | _name
const char * | _shortDescription
const char * | _description
bool | _acceptsNonParameter
BoolParameter | _printActions

## Detailed Description

Definition at line 23 of file HelpAction.h.

## Constructor & Destructor Documentation

## HelpAction()

HelpAction::HelpAction | ( |  | ) |

Definition at line 31 of file HelpAction.cpp.

## Member Function Documentation

## displayAction()

bool HelpAction::displayAction | ( |  | ) | const

virtual

Returns whether this action should be shown to the user by the help action.

Reimplemented from Action.

Definition at line 199 of file HelpAction.cpp.

## displayActionHelp()

void HelpAction::displayActionHelp | ( | Action & | action | ) |

private

Definition at line 60 of file HelpAction.cpp.

## displayIOHelp()

void HelpAction::displayIOHelp | ( |  | ) |

private

Definition at line 87 of file HelpAction.cpp.

## obtainParameters()

void HelpAction::obtainParameters | ( | vector< Parameter * > & | parameters | ) |

virtual

Reimplemented from Action.

Definition at line 44 of file HelpAction.cpp.

## perform()

void HelpAction::perform | ( |  | ) |

virtual

Implements Action.

Definition at line 147 of file HelpAction.cpp.

## processNonParameter()

void HelpAction::processNonParameter | ( | const char * | str | ) |

virtual

Reimplemented from Action.

Definition at line 47 of file HelpAction.cpp.

## staticGetName()

const char * HelpAction::staticGetName | ( |  | ) |

static

Definition at line 195 of file HelpAction.cpp.

## Member Data Documentation

## _topic

string HelpAction::_topic

private

Definition at line 40 of file HelpAction.h.

The documentation for this class was generated from the following files:

- src/HelpAction.h
- src/HelpAction.cpp